Bug 248558 - misc/shared-mime-info: Update to 2.0
Summary: misc/shared-mime-info: Update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL: https://github.com/freebsd/freebsd-po...
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-08-09 16:06 UTC by Jan Beich
Modified: 2020-08-24 07:35 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-08-09 16:06:12 UTC
Current MASTER_SITES lacks 1.11, 1.12, 1.13, 1.14, 1.15 and 2.0. For example, I had to resort to backporting avif support into graphics/libavif/files/mime.xml.

https://gitlab.freedesktop.org/xdg/shared-mime-info/-/releases
https://repology.org/project/shared-mime-info/versions
Comment 1 Tobias C. Berner freebsd_committer 2020-08-09 17:39:37 UTC
Moin moin 

Thanks for the report, I'll prepare an update to 2.0.


mfg Tobias
Comment 2 Tobias C. Berner freebsd_committer 2020-08-09 18:52:29 UTC
Moin moin 

Could you give this patch a go?
https://people.freebsd.org/~tcberner/patches/shared-mime-info-2.0.v1.diff

mfg Tobias
Comment 3 Jan Beich freebsd_committer 2020-08-12 19:39:15 UTC
(In reply to Tobias C. Berner from comment #2)
Thanks. With the patch gdk_pixbuf_new_from_file("whatever.avif", ...) works fine after dropping mime workaround in libavif.
Comment 4 Jan Beich freebsd_committer 2020-08-12 19:54:23 UTC
(In reply to Tobias C. Berner from comment #2)
> +pre-configure:
> +	cd ${WRKSRC}/src/xdgmime/src && ${GMAKE}

Doesn't respect CFLAGS. To fix add ${SETENV} ${MAKE_ENV} before ${GMAKE} and substitute = with += in src/xdgmime/src/Makefile.

> +do-test:
> +	cd ${WRKSRC} && meson test -C ${MESON_BUILD_DIR} --print-errorlogs

Note, USES=meson defines do-test target by default.
Comment 5 commit-hook freebsd_committer 2020-08-24 07:35:25 UTC
A commit references this bug:

Author: tcberner
Date: Mon Aug 24 07:35:13 UTC 2020
New revision: 546053
URL: https://svnweb.freebsd.org/changeset/ports/546053

Log:
  misc/shared-mime-info: update to 2.0

  shared-mime-info 2.0 (2020-06-05) [1]:
          * Port build system to meson, and ship test suite with tarball
          * Install ITS file to allow gettext to translate mime-type descriptions
          * Add BPS and IPS patch formats
          * Lower weight for "use strict" and similar in the perl mimetype
          * Add new magic for Sega Mega Drive ROMs
          * Add Common Lisp mime-type
          * Rename text/x-tcl to text/tcl
          * Add text/vbscript
          * Add PySpread spreadsheet mime-types
          * Add Kotlin source mime-type
          * Add AVIF image mime-type
          * Split versions of the Audible audio mime types
          * Add *.spx glob for audio/x-speex+ogg
          * Add Apple System Profiler XML mime-type

  [1] https://gitlab.freedesktop.org/xdg/shared-mime-info/-/releases

  PR:		248558
  Reported by:	jbeich

Changes:
  head/misc/shared-mime-info/Makefile
  head/misc/shared-mime-info/distinfo
  head/misc/shared-mime-info/files/patch-src_xdgmime_src_Makefile
  head/misc/shared-mime-info/files/patch-update-mime-database.c
  head/misc/shared-mime-info/pkg-plist
Comment 6 Tobias C. Berner freebsd_committer 2020-08-24 07:35:32 UTC
Committed.